<ui>

    <menubar name='Main' action='MainMenu'>
        <menu name='Session' action='Session'>
           <menuitem action='New'/>
           <menuitem action='Open'/>
           <menuitem action='Recent'/>
           <menuitem action='Close'/>
           <separator/>
           <menuitem action='Save'/>
           <menuitem action='SaveAs'/>
           <menuitem action='Snapshot'/>
           <menuitem action='SaveTemplate'/>
           <menu name='Metadata' action='Metadata'>
               <menuitem action='EditMetadata'/>
               <menuitem action='ImportMetadata'/>
           </menu>
           <separator/>
           <menuitem action='AddTrackBus'/>	
           <separator/>
           <menuitem action='addExistingAudioFiles'/>
           <menuitem action='importFromSession'/>
           <separator/>
           <menu name='Export' action='Export'>
               <menuitem action='ExportAudio'/>
           </menu>
           <separator/>
           <menu name='Cleanup' action='Cleanup'>
               <menuitem action='CleanupUnused'/>
               <menuitem action='FlushWastebasket'/>
           </menu>
           <separator/>
           <menuitem action='ToggleSessionOptionsEditor'/>
           <separator/>
#ifdef GTKOSX
           <menuitem action='ToggleRCOptionsEditor'/>
           <menuitem action='About'/>
#endif
           <menuitem action='Quit'/>
        </menu>

        <menu name='Transport' action='Transport'>
               <menuitem action='ToggleRoll'/>
	       <menu action="PlayMenu">
	       	     <menuitem action='play-selected-regions'/>
		     <menuitem action='play-edit-range'/>
		     <menuitem action='PlaySelection'/>
                     <menuitem action='play-from-edit-point-and-return'/>
		     <menuitem action='Loop'/>
  	       </menu>
               <menuitem action='record-roll'/>
               <menuitem action='Record'/>
               <menuitem action='ToggleRollMaybe'/>
               <menuitem action='ToggleRollForgetCapture'/>
	       <menu action="SetLoopMenu">
	       	       <menuitem action='set-loop-from-edit-range'/>
		       <menuitem action='set-loop-from-region'/>
               </menu>
	       <menu action="SetPunchMenu">
	       		<menuitem action='set-punch-from-edit-range'/>
	       		<menuitem action='set-punch-from-region'/>
               </menu>

	       <separator/>
               <menuitem action='Forward'/>
               <menuitem action='Rewind'/>
               <menuitem action='TransitionToRoll'/>
               <menuitem action='TransitionToReverse'/>
	       <separator/>

              
	       <menu action="MovePlayHeadMenu">
		   <menuitem action='set-playhead'/>
                   <menuitem action='playhead-to-edit'/>
  	           <menuitem action='center-playhead'/>
	           <separator/>
 		   <menuitem action='nudge-playhead-forward'/>
                   <menuitem action='nudge-playhead-backward'/>
		   <separator/>
                   <menuitem action='tab-to-transient-forwards'/>
                   <menuitem action='tab-to-transient-backwards'/>
	           <separator/>
		   <menuitem action='playhead-forward-to-grid'/>
		   <menuitem action='playhead-backward-to-grid'/>
	           <separator/>
		   <menuitem action='playhead-to-next-region-boundary'/>
		   <menuitem action='playhead-to-previous-region-boundary'/>
		   <menuitem action='playhead-to-next-region-boundary-noselection'/>
		   <menuitem action='playhead-to-previous-region-boundary-noselection'/>
		   <menuitem action='playhead-to-next-region-sync'/>
		   <menuitem action='playhead-to-previous-region-sync'/>
		   <separator/>
		   <menuitem action='jump-forward-to-mark'/>
		   <menuitem action='jump-backward-to-mark'/>
		   <separator/>
		   <menuitem action='GotoZero'/>
		   <menuitem action='GotoStart'/>
		   <menuitem action='GotoEnd'/>
		   <menuitem action='GotoWallClock'/>
	       </menu>

	       <menu action="MoveActiveMarkMenu">
                   <menuitem action='selected-marker-to-next-region-boundary'/>
    	           <menuitem action='selected-marker-to-previous-region-boundary'/>
	           <menuitem action='edit-cursor-to-next-region-sync'/>
    	           <menuitem action='edit-cursor-to-previous-region-sync'/>
		   <separator/>
            	   <menuitem action='edit-to-playhead'/>
		   <menuitem action='set-edit-point'/>
	       </menu>

	       <menu action="MarkerMenu">
	       	   <menuitem action='add-location-from-playhead'/>
		   <separator/>
		   <menuitem action='goto-mark-1'/>
		   <menuitem action='goto-mark-2'/>
		   <menuitem action='goto-mark-3'/>
		   <menuitem action='goto-mark-4'/>
		   <menuitem action='goto-mark-5'/>
		   <menuitem action='goto-mark-6'/>
		   <menuitem action='goto-mark-7'/>
		   <menuitem action='goto-mark-8'/>
		   <menuitem action='goto-mark-9'/>
	       </menu>

	       <separator/>
	       <menuitem action='ToggleTimeMaster'/>
               <menuitem action='TogglePunch'/>
               <menuitem action='TogglePunchIn'/>
               <menuitem action='TogglePunchOut'/>
               <menuitem action='ToggleAutoInput'/>
               <menuitem action='ToggleAutoPlay'/>
               <menuitem action='ToggleAutoReturn'/>
               <menuitem action='ToggleClick'/>
               <menuitem action='toggle-follow-playhead'/>
               <menuitem action='panic'/>
	       <separator/>
       </menu>

       <menu name='Edit' action='Edit'>
               <menuitem action='undo'/>
               <menuitem action='redo'/>
               <menuitem action='editor-cut'/>
               <menuitem action='editor-copy'/>
               <menuitem action='editor-paste'/>
               <separator/>       
	       <menu action="SelectMenu">	   
	           <menuitem action='select-all'/>
		   <menuitem action='deselect-all'/>
		   <menuitem action='invert-selection'/>
		   <menuitem action='select-all-after-edit-cursor'/>
		   <menuitem action='select-all-before-edit-cursor'/>
		   <menuitem action='select-all-between-cursors'/>
		   <menuitem action='select-all-within-cursors'/>
		   <menuitem action='select-all-in-punch-range'/>
		   <menuitem action='select-all-in-loop-range'/>
		   <separator/>
                   <menuitem action='select-range-between-cursors'/>
                   <menuitem action='extend-range-to-start-of-region'/>
                   <menuitem action='extend-range-to-end-of-region'/>
                   <menuitem action='start-range'/>
                   <menuitem action='finish-range'/>
                   <menuitem action='finish-add-range'/>
	       </menu>	   
	       <separator/>
               <menuitem action='editor-delete'/>
               <menuitem action='editor-crop'/>
               <menuitem action='split-region'/>
	       <menuitem action='split-region-at-transients'/>
	       <menu action="SeparateMenu">
		    <menuitem action='separate-under-region'/>
	            <menuitem action='editor-separate'/>
	            <menuitem action='separate-from-loop'/>
	            <menuitem action='separate-from-punch'/>
		    <separator/>
               </menu>
	       <menu action="AlignMenu">
		   <menuitem action='align-regions-start'/>
		   <menuitem action='align-regions-start-relative'/>
		   <menuitem action='align-regions-end'/>
		   <menuitem action='align-regions-end-relative'/>
		   <menuitem action='align-regions-sync'/>
		   <menuitem action='align-regions-sync-relative'/>
               </menu>
	       <menu action="NudgeRegionMenu">
	           <menuitem action="nudge-forward"/>
	           <menuitem action="nudge-backward"/>
               </menu>
	       <menu action="TrimMenu">
		   <menuitem action='trim-front'/>
		   <menuitem action='trim-back'/>
		   <menuitem action='crop'/>
		   <menuitem action='trim-region-to-loop'/>
		   <menuitem action='trim-region-to-punch'/>
		   <menuitem action='trim-to-previous-region'/>
		   <menuitem action='trim-to-next-region'/>
	       </menu>
	       <menu action="FadeMenu">
		   <menuitem action='set-fade-in-length'/>
		   <menuitem action='toggle-fade-in-active'/>
		   <menuitem action='set-fade-out-length'/>
		   <menuitem action='toggle-fade-out-active'/>
               </menu>
               <separator/>       
	       <menuitem action='remove-last-capture'/>
	       <separator/>
	       <menu action='KeyMouseActions'>
                   <menuitem action='select-next-route'/>
                   <menuitem action='select-prev-route'/>
		   <menuitem action='brush-at-mouse'/>
		   <separator/>
		   <menuitem action='step-mouse-mode'/>
		   <menuitem action='set-mouse-mode-object'/>
		   <menuitem action='set-mouse-mode-range'/>
		   <menuitem action='set-mouse-mode-gain'/>
		   <menuitem action='set-mouse-mode-zoom'/>
		   <menuitem action='set-mouse-mode-timefx'/>
		   <separator/>
		   <menuitem action='toggle-internal-edit'/>
		   <separator/>
		   <menuitem action='cycle-edit-point'/>
		   <menuitem action='cycle-edit-point-with-marker'/>
		   <menuitem action='toggle-edit-mode'/>
		   <separator/>
		   <menuitem action='boost-region-gain'/>
		   <menuitem action='cut-region-gain'/>
		   <separator/>
		   <menuitem action='escape'/>
             </menu>
	       <menu action="TempoMenu">
	       	      <menuitem action='set-tempo-from-region'/>
		      <menuitem action='set-tempo-from-edit-range'/>
	       </menu>
#ifndef GTKOSX
	     <separator/>
             <menuitem action='ToggleRCOptionsEditor'/>
#endif
        </menu>         

	<menu action='RegionMenu'>
	      <menuitem action='insert-region'/>
	      <menuitem action='rename-region'/>
	      <menuitem action='raise-region'/>
	      <menuitem action='lower-region'/>
	      <menuitem action='naturalize-region'/>
	      <menuitem action='lock-region'/>
	      <menuitem action='set-region-sync-position'/>
	      <menuitem action='remove-region-sync'/>
              <menuitem action='mute-unmute-region'/>
	      <separator/>       
              <menuitem action='reverse-region'/>    
	      <menuitem action='monoize-region'/>
	      <menuitem action='normalize-region'/>
	      <menuitem action='boost-region-gain'/>
	      <menuitem action='cut-region-gain'/>      		   
	      <menuitem action='pitch-shift-region'/>
	      <menuitem action='toggle-opaque-region'/>
	      <menuitem action='toggle-selected-region-fade-in'/>
	      <menuitem action='toggle-selected-region-fade-out'/>
	      <menuitem action='toggle-selected-region-fades'/>
	      <separator/>
	      <menuitem action='duplicate-region'/>
	      <menuitem action='multi-duplicate-region'/>
	      <menuitem action='region-fill-track'/>
	      <separator/>
	      <menuitem action='loop-region'/>
	      <menuitem action='set-punch-from-region'/>
	      <menuitem action='add-range-marker-from-region'/>
	      <menuitem action='add-range-markers-from-region'/>

	      <separator/>
	      <menuitem action='snap-regions-to-grid'/>
	      <menuitem action='close-region-gaps'/>
	      <separator/>
	      <menuitem action='place-transient' />
	      <menuitem action='toggle-rhythm-ferret'/>
	      
	</menu>

        <menu action='TrackMenu'>
	        <menuitem action='AddTrackBus'/>	
		<menuitem action='insert-time'/>
	        <menuitem action="move-selected-tracks-up"/>
	        <menuitem action="move-selected-tracks-down"/>
	        <menu action='TrackHeightMenu'>
		     <menuitem action='fit-tracks'/>
		     <menuitem action='track-height-largest'/>
		     <menuitem action='track-height-larger'/>
		     <menuitem action='track-height-large'/>
		     <menuitem action='track-height-normal'/>
		     <menuitem action='track-height-smaller'/>
		     <menuitem action='track-height-small'/>
		</menu>
                <menuitem action='track-record-enable-toggle'/>
		<menuitem action='toggle-track-active'/>	
		<menuitem action='remove-track'/>	
	</menu>

        <menu name='View' action = 'View'>
	       <menu action="ZoomMenu">
               	     <menuitem action='temporal-zoom-in'/>
               	     <menuitem action='temporal-zoom-out'/>
               	     <menuitem action='zoom-to-session'/>
               	     <menuitem action='zoom-to-region'/>
               	     <menuitem action='zoom-to-region-both-axes'/>
               	     <menuitem action='toggle-zoom'/>
	       </menu>
               <menu name='ZoomFocus' action='ZoomFocus'>
                   <menuitem action='zoom-focus-left'/>
                   <menuitem action='zoom-focus-right'/>
                   <menuitem action='zoom-focus-center'/>
                   <menuitem action='zoom-focus-playhead'/>
                   <menuitem action='zoom-focus-mouse'/>
                   <menuitem action='zoom-focus-edit'/>
               </menu>
	       <menu name='SnapMode' action='SnapMode'>
		   <menuitem action='snap-off'/>
		   <menuitem action='snap-normal'/>
		   <menuitem action='snap-magnetic'/>
		   <separator/>
		   <menuitem action='cycle-snap-mode'/>
		   <menuitem action='cycle-snap-choice'/>
	       </menu>
               <menu name='SnapTo' action='SnapTo'>
		   <menuitem action='snap-to-cd-frame'/>
		   <menuitem action='snap-to-timecode-frame'/>
		   <menuitem action='snap-to-timecode-seconds'/>
		   <menuitem action='snap-to-timecode-minutes'/>
		   <menuitem action='snap-to-seconds'/>
		   <menuitem action='snap-to-minutes'/>
		   <menuitem action='snap-to-thirtyseconds'/>
		   <menuitem action='snap-to-asixteenthbeat'/>
		   <menuitem action='snap-to-eighths'/>
		   <menuitem action='snap-to-quarters'/>
		   <menuitem action='snap-to-thirds'/>
		   <menuitem action='snap-to-beat'/>
		   <menuitem action='snap-to-bar'/>
		   <menuitem action='snap-to-mark'/>
		   <menuitem action='snap-to-region-start'/>
		   <menuitem action='snap-to-region-end'/>
		   <menuitem action='snap-to-region-sync'/>
		   <menuitem action='snap-to-region-boundary'/>
               </menu>
	       <menu action="PrimaryClockMenu">
	       	     <menuitem action="primary-clock-bbt"/>
	       	     <menuitem action="primary-clock-minsec"/>
	       	     <menuitem action="primary-clock-samples"/>
	       	     <menuitem action="primary-clock-off"/>
	       </menu>
	       <menu action="SecondaryClockMenu">
	       	     <menuitem action="secondary-clock-bbt"/>
	       	     <menuitem action="secondary-clock-minsec"/>
	       	     <menuitem action="secondary-clock-samples"/>
	       	     <menuitem action="secondary-clock-off"/>
	       </menu>
	       <menu action="RulerMenu">
	       	     <menuitem action="toggle-minsec-ruler"/>
	       	     <menuitem action="toggle-samples-ruler"/>
	       	     <menuitem action="toggle-bbt-ruler"/>
		     <separator/>
	       	     <menuitem action="toggle-meter-ruler"/>
	       	     <menuitem action="toggle-tempo-ruler"/>
	       	     <menuitem action="toggle-loop-punch-ruler"/>
	       	     <menuitem action="toggle-cd-marker-ruler"/>
	       	     <menuitem action="toggle-marker-ruler"/>
	       </menu>
	       <menu action="ScrollMenu">
               	     <menuitem action='scroll-tracks-down'/>
               	     <menuitem action='scroll-tracks-up'/>
               	     <menuitem action='scroll-forward'/>
               	     <menuitem action='scroll-backward'/>
	       </menu>
	       <menu action="SavedViewMenu">
               	     <menuitem action='save-visual-state-1'/>
               	     <menuitem action='goto-visual-state-1'/>
               	     <menuitem action='save-visual-state-2'/>
               	     <menuitem action='goto-visual-state-2'/>
               	     <menuitem action='save-visual-state-3'/>
               	     <menuitem action='goto-visual-state-3'/>
               	     <menuitem action='save-visual-state-4'/>
               	     <menuitem action='goto-visual-state-4'/>
               	     <menuitem action='save-visual-state-5'/>
               	     <menuitem action='goto-visual-state-5'/>
               	     <menuitem action='save-visual-state-6'/>
               	     <menuitem action='goto-visual-state-6'/>
               	     <menuitem action='save-visual-state-7'/>
               	     <menuitem action='goto-visual-state-7'/>
               	     <menuitem action='save-visual-state-8'/>
               	     <menuitem action='goto-visual-state-8'/>
               	     <menuitem action='save-visual-state-9'/>
               	     <menuitem action='goto-visual-state-9'/>
               	     <menuitem action='save-visual-state-10'/>
               	     <menuitem action='goto-visual-state-10'/>
               	     <menuitem action='save-visual-state-11'/>
               	     <menuitem action='goto-visual-state-11'/>
               	     <menuitem action='save-visual-state-12'/>
               	     <menuitem action='goto-visual-state-12'/>
	       </menu>

	       <menuitem action='ToggleMaximalEditor'/>
	       <menuitem action='show-editor-mixer'/>
	       <menuitem action='show-editor-list'/>
               <menuitem action='ToggleMeasureVisibility'/>
               <menuitem action='ToggleSummary'/>
               <menuitem action='ToggleGroupTabs'/>
        </menu>
        <menu name='JACK' action='JACK'>
               <menuitem action='JACKDisconnect'/>
               <menuitem action='JACKReconnect'/>
               <menu name='Latency' action='Latency'>
                   <menuitem action='JACKLatency32'/>
                   <menuitem action='JACKLatency64'/>
                   <menuitem action='JACKLatency128'/>
                   <menuitem action='JACKLatency256'/>
                   <menuitem action='JACKLatency512'/>
                   <menuitem action='JACKLatency1024'/>
                   <menuitem action='JACKLatency2048'/>
                   <menuitem action='JACKLatency4096'/>
                   <menuitem action='JACKLatency8192'/>
               </menu>
        </menu>
        <menu action = 'WindowMenu'>
	       <menuitem action='ToggleMaximalEditor'/>
	       <separator/>
               <menuitem action='goto-editor'/>
               <menuitem action='goto-mixer'/>
               <menuitem action='toggle-editor-mixer-on-top'/>
               <menuitem action='ToggleInspector'/>
               <menuitem action='ToggleLocations'/>
               <menuitem action='ToggleKeyEditor'/>
               <menuitem action='ToggleBundleManager'/>
               <menuitem action='ToggleThemeManager'/>
               <menuitem action='ToggleBigClock'/>
               <menuitem action='NewMIDITracer'/>
               <menuitem action='toggle-audio-connection-manager'/>
               <menuitem action='toggle-midi-connection-manager'/>
               <menuitem action='toggle-log-window'/>
   	       <separator/>
        </menu>
	 <menu name='Help' action='Help'>
#ifndef GTKOSX
	     <menuitem action='About'/>
#endif
             <menuitem action='Chat'/>
	</menu>
     </menubar>

     <popup action="RulerMenuPopup">
	   <menuitem action="toggle-minsec-ruler"/>
	   <menuitem action="toggle-timecode-ruler"/>
	   <menuitem action="toggle-samples-ruler"/>
     	   <menuitem action="toggle-bbt-ruler"/>
	   <separator/>
	   <menuitem action="toggle-meter-ruler"/>
	   <menuitem action="toggle-timecode-ruler"/>
	   <menuitem action="toggle-tempo-ruler"/>
	   <menuitem action="toggle-range-ruler"/>
	   <menuitem action="toggle-marker-ruler"/>
	   <menuitem action="toggle-cd-marker-ruler"/>
	   <menuitem action="toggle-loop-punch-ruler"/>
     </popup>

     <popup name='processormenu'>
	 <menuitem action='newplugin'/>
	 <menuitem action='newinsert'/>
	 <menuitem action='newsend'/>
         <menuitem action='newaux'/>
	  <separator/>
	 <menuitem action='clear'/>
	 <menuitem action='clear_pre'/>
	 <menuitem action='clear_post'/>
	  <separator/>
	 <menuitem action='cut'/>
	 <menuitem action='copy'/>
	 <menuitem action='paste'/>
	 <menuitem action='delete'/>
	  <separator/>
	 <menuitem action='rename'/>
	  <separator/>
	 <menuitem action='selectall'/>
	 <menuitem action='deselectall'/>
	  <separator/>
	 <menuitem action='activate_all'/>
	 <menuitem action='deactivate_all'/>
	 <menuitem action='ab_plugins'/>
	  <separator/>
	 <menuitem action='edit'/>
      </popup>

     <popup name='ShuttleUnitPopup'>
	 <menuitem action='SetShuttleUnitsPercentage'/>
	 <menuitem action='SetShuttleUnitsSemitones'/>
     </popup>

     <popup name='RegionListMenu'>
         <menuitem action='rlAudition'/>
         <menuitem action='rlHide'/>
         <menuitem action='rlShow'/>
	  <separator/>
         <menuitem action='rlShowAll'/>
         <menuitem action='rlShowAuto'/>
         <menu name='Sort' action='RegionListSort'>
               <menuitem action='SortAscending'/>
               <menuitem action='SortDescending'/>
       	       <separator/>
               <menuitem action='SortByRegionName'/>
               <menuitem action='SortByRegionLength'/>
               <menuitem action='SortByRegionPosition'/>
               <menuitem action='SortByRegionTimestamp'/>
               <menuitem action='SortByRegionStartinFile'/>
               <menuitem action='SortByRegionEndinFile'/>
               <menuitem action='SortBySourceFileName'/>
               <menuitem action='SortBySourceFileLength'/>
               <menuitem action='SortBySourceFileCreationDate'/>
               <menuitem action='SortBySourceFilesystem'/>
         </menu>
         <separator/>
         <menuitem action='addExternalAudioToRegionList'/>	       
     </popup>
</ui>
